<?php
/*
 * Plugin Name: EagleEye Widget
 * Version: 3.5.1.0
 * Plugin URI: http://letsfx.com/
 * Description: EagleEye, is FOREX market trading tool designed to cover daily trader’s needs. EagleEye is trader’s sharp eye on the FOREX market short term technical outlook, which, also, alert users with any changes on current market outlook. English, Russian and Arabic interfaces. Try this code on your posts to see full report &lt;script type = &quot;text/javascript&quot; language = &quot;javascript&quot; src = &quot;http://www.letsfx.com/dailyreport/&quot; &gt;&lt;/script&gt;
 * Author: letsfx
 * Author URI: http://letsfx.com/
 */
class EagleEyeWidget extends WP_Widget
{
	/**
	* Declares the EagleEyeWidget class.
	*
	*/
	function EagleEyeWidget(){
		$widget_ops = array('classname' => 'widget_EagleEye', 'description' => __( "EagleEye is FOREX, market trading tool designed to cover daily trader’s needs. English, Russian and Arabic interfaces. Try this code on your posts to see full report &lt;script type = &quot;text/javascript&quot; language = &quot;javascript&quot; src = &quot;http://www.letsfx.com/dailyreport/&quot; &gt;&lt;/script&gt;") );
		$control_ops = array('height' => 300);
		$this->WP_Widget('EagleEye', __('EagleEye'), $widget_ops, $control_ops);
	}
	
	/**
	* Displays the Widget
	*
	*/
	function widget($args, $instance){
		extract($args);
    if(!get_option('EagleEye_cache')) add_option('EagleEye_cache', false);
    if(!get_option('EagleEye_expire')) add_option('EagleEye_expire', 0);
    
		$title = apply_filters('widget_title', empty($instance['title']) ? '&nbsp;' : $instance['title']);
		$type = empty($instance['Type']) ? 'alerts' : $instance['Type'];
        $pair = empty($instance['Pair']) ? 'ALL' : $instance['Pair'];
		$width = empty($instance['Width']) ? 'auto' : $instance['Width'];
		$height = empty($instance['Height']) ? '400' : $instance['Height'];
        $items = empty($instance['Items']) ? '4' : $instance['Items'];
		$limit = empty($instance['limit']) ? '150' : $instance['limit'];
		$lang = empty($instance['lang']) ? 'en' : $instance['lang'];
		$refresh = empty($instance['refresh']) ? '0' : $instance['refresh'];
		$cache = get_option('EagleEye_cache');
		$expire = get_option('EagleEye_expire');
		
		# Before the widget
		echo $before_widget;
		
		# The title
		if ( $title )
			echo $before_title . $title . $after_title;
		
		# Make the EagleEye widget
    $refresh=0;
    if($refresh==0){ ?>
        <script language="javascript">
            var ee_type="<? echo $type ?>";
            var ee_width="<? if($width='auto') echo '100%'; else echo $width; ?>"; 
            var ee_height="<? echo $height ?>";
            var ee_pair="<? echo $pair ?>";
            var ee_items="<? echo $items ?>";
            var ee_limit="<? echo $limit ?>";
            var ee_lang="<? echo $lang ?>";
        </script>
        <script type="text/javascript" src="http://sys.4xeagleeye.com/widgets.js"></script> 
        <a style=" font-size: x-small; color: #999999; float: right;" href="http://www.letsfx.com/test/feature/live-technical-analysis/" target="_blank">Live Technical Analysis</a>
        <?php         
    }
    
    # After the widget
		echo $after_widget;
	}
	
	/**
	* Saves the widgets settings.
	*
	*/
	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags(stripslashes($new_instance['title']));
		$instance['Type'] = strip_tags(stripslashes($new_instance['Type']));
        $instance['Pair'] = strip_tags(stripslashes($new_instance['Pair']));
		$instance['Width'] = strip_tags(stripslashes($new_instance['Width']));
		$instance['Height'] = strip_tags(stripslashes($new_instance['Height']));
        $instance['Items'] = strip_tags(stripslashes($new_instance['Items']));
		$instance['limit'] = strip_tags(stripslashes($new_instance['limit']));
		$instance['lang'] = strip_tags(stripslashes($new_instance['lang']));
		$instance['refresh'] = strip_tags(stripslashes($new_instance['refresh']));
		
		return $instance;
	}
	
	/**
	* Creates the edit form for the widget.
	*
	*/
	function form($instance){
		//Defaults
		$instance = wp_parse_args( (array) $instance, array('title'=>'', 'Pair'=>'EURUSD','Type'=>'alerts', 'Width'=>'auto','Height'=>'400', 'Items'=>'4', 'limit'=>'300', 'refresh'=>'10') );
		
    if(!get_option('EagleEye_cache')) add_option('EagleEye_cache', false);
    if(!get_option('EagleEye_expire')) add_option('EagleEye_expire', 0);
    update_option('EagleEye_cache','');
		update_option('EagleEye_expire',0);
		
		$title = htmlspecialchars($instance['title']);
		$type = htmlspecialchars($instance['Type']);
        $pair = htmlspecialchars($instance['Pair']);
        $width = htmlspecialchars($instance['Width']);
		$height = htmlspecialchars($instance['Height']);
        $items = htmlspecialchars($instance['Items']);
		$limit = htmlspecialchars($instance['limit']);
		$lang = htmlspecialchars($instance['lang']);
		$refresh = 60; //htmlspecialchars($instance['refresh']);
		//<input style="width: 200px;" id="' . $this->get_field_id('Pair') . '" name="' . $this->get_field_name('Pair') . '" type="text" value="' . $pair . '" />
		# Output the options
    echo '<div dir=ltr>';
    //echo '<a href="http://www.letsfx.com/donate" target="_blank" style="float: right; background: #FFFFC0; padding: 5px; border: 1px dashed #FF9A35;"><img alt="" border="0" src="http://www.letsfx.com/wp-content/uploads/2012/07/btn_donate_LG.gif" ></a>';
    
		echo '<p ><label for="' . $this->get_field_name('title') . '">' . __('Title:') . ' <input style="width: 200px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $title . '" /></label></p>';
        
		echo '<p ><label for="' . $this->get_field_name('lang') . '">' . __('Language:') .'<select id="' . $this->get_field_id('lang') . '" name="' . $this->get_field_name('lang') . '" value="' . $lang . '"> <option value="' . $lang . '">' . $lang . '</option> <option value="en">English</option><option value="ar">Arabic</option></select>' . ' </label></p>';
		echo '<p ><label for="' . $this->get_field_name('Type') . '">' . __('Type:') .'<select id="' . $this->get_field_id('Type') . '" name="' . $this->get_field_name('Type') . '" value="' . $type . '"> <option value="' . $type . '">' . $type . '</option> <option value="alerts">Alerts</option><option value="icons">Icons</option></select>' . ' </label></p>';
        echo '<p ><label for="' . $this->get_field_name('Pair') . '">' . __('Pair:') .'<select id="' . $this->get_field_id('Pair') . '" name="' . $this->get_field_name('Pair') . '" value="' . $pair . '"> <option value="' . $pair . '">' . $pair . '</option> <option value="ALL">ALL</option> <option value="EURUSD">EURUSD</option><option value="GBPUSD">GBPUSD</option><option value="USDJPY">USDJPY</option><option value="USDCHF">USDCHF</option></select>' . ' </label></p>';
		
		echo '<p ><label for="' . $this->get_field_name('Width') . '">' . __('Width:') . ' <input style="width: 100px;" id="' . $this->get_field_id('Width') . '" name="' . $this->get_field_name('Width') . '" type="text" value="' . $width . '" /></label> px</p>';
		echo '<p ><label for="' . $this->get_field_name('Height') . '">' . __('Height:') . ' <input style="width: 100px;" id="' . $this->get_field_id('Height') . '" name="' . $this->get_field_name('Height') . '" type="text" value="' . $height . '" /></label> px</p>';
        echo '<p ><label for="' . $this->get_field_name('Items') . '">' . __('Items:') . ' <input style="width: 100px;" id="' . $this->get_field_id('Items') . '" name="' . $this->get_field_name('Items') . '" type="text" value="' . $items . '" /></label></p>';
		echo '<p ><label for="' . $this->get_field_name('limit') . '">' . __('Limit:') . ' <input style="width: 100px;" id="' . $this->get_field_id('limit') . '" name="' . $this->get_field_name('limit') . '" type="text" value="' . $limit . '" /></label> char</p>';
		//echo '<p ><label for="' . $this->get_field_name('refresh') . '">' . __('Cache for:') . ' <input style="width: 100px;" id="' . $this->get_field_id('refresh') . '" name="' . $this->get_field_name('refresh') . '" type="text" value="' . $refresh . '" /> minutes</label></p>';
	  
    echo '</div>';
		
  }

}// END class
	
	/**
	* Register EagleEye widget.
	*
	* Calls 'widgets_init' action after the Hello World widget has been registered.
	*/
	function EagleEyeWidgetInit() {
	register_widget('EagleEyeWidget');
	}	
	add_action('widgets_init', 'EagleEyeWidgetInit');
?>
